package com.ttstd.dialer.push.jpush;

import android.content.Context;
import android.util.Log;

import cn.jpush.android.api.CustomMessage;
import cn.jpush.android.api.JPushMessage;
import cn.jpush.android.service.JPushMessageReceiver;

public class PushMessageService extends JPushMessageReceiver {
    private static final String TAG = "PushMessageService";

    @Override
    public void onMessage(Context context, CustomMessage customMessage) {
        super.onMessage(context, customMessage);
    }

    @Override
    public void onAliasOperatorResult(Context context, JPushMessage jPushMessage) {
        super.onAliasOperatorResult(context, jPushMessage);
        int errorCode = jPushMessage.getErrorCode();
        Log.e(TAG, "onAliasOperatorResult: " + errorCode);
        if (errorCode == 0) {
            Log.e(TAG, "onAliasOperatorResult: " + jPushMessage.getAlias());

        } else {

        }
    }
}
